Package Details: smc-git 210.a0405c9-1

Git Clone URL: https://aur.archlinux.org/smc-git.git (read-only)
Package Base: smc-git
Description: Secret Maryo Chronicles (development version)
Upstream URL: http://www.secretmaryo.org
Licenses: GPL3
Conflicts: smc
Provides: smc
Submitter: None
Maintainer: carstene1ns
Last Packager: carstene1ns
Votes: 7
Popularity: 0.047131
First Submitted: 2010-06-15 11:57
Last Updated: 2015-07-08 03:29

Latest Comments

Azul commented on 2014-12-14 02:01

New project, fork of SMC! https://github.com/secretchronicles/TSC
Is actually being developed which is nice! Even the original github page is linking people to this.

rafaelff commented on 2014-09-11 20:19

@francesco_dem: Your smc-git build seems to expect boost-libs version 1.55, but it got updated to version 1.56. Try building 'smc-git' again.

francesco_dem commented on 2014-09-11 18:58

Hi, when i try to launch smc-git i received this error:
smc: error while loading shared libraries: libboost_thread.so.1.55.0: cannot open shared object file: No such file or directory

edit:
ls -l /usr/lib | grep libboost_thread.so
lrwxrwxrwx 1 root root 25 11 ago 13.35 libboost_thread.so -> libboost_thread.so.1.56.0
-rwxr-xr-x 1 root root 146864 11 ago 13.38 libboost_thread.so.1.56.0

thanks

francesco_dem commented on 2014-09-11 18:57

Hi, when i try to lanch smc-git i received this error:
smc: error while loading shared libraries: libboost_thread.so.1.55.0: cannot open shared object file: No such file or directory

edit:
ls -l /usr/lib | grep libboost_thread.so
lrwxrwxrwx 1 root root 25 11 ago 13.35 libboost_thread.so -> libboost_thread.so.1.56.0
-rwxr-xr-x 1 root root 146864 11 ago 13.38 libboost_thread.so.1.56.0

thanks

carstene1ns commented on 2014-07-15 01:55

Thanks, @looonger, will embed the patch. When I saw it in the repository long ago, I thought it would be merged, but unfortunately the original project is more or less dead.
I see no reason why we should use the ubuntu tarball instead of pulling from the repo (this is a -git package).
Instead it would be a good idea to follow the development in Quintus' fork. It has various improvements (embedded ruby scripting) and will soon be compatible with cegui 0.8. However, as Quintus is an Arch Linux user as well, I guessed he wants to create and maintain an AUR package himself. He added it to the repo[1], but did not upload it to the AUR, yet. Maybe when it is stable enough.

[1]: https://github.com/Quintus/SMC/blob/devel/smc/extras/archlinux/PKGBUILD

looonger commented on 2014-07-14 20:13

Contrary to the latest stable release, the git version has a bug which makes entering World 2 impossible. The problem is broadly discussed on here https://bugs.launchpad.net/ubuntu/+source/smc/+bug/1274540
I've modified your PKGBUILD to include a patch and you can download it all here
https://www.dropbox.com/s/qcrqntmzpkohk38/smc-git.tar.gz
Hope it turns out to be useful.
By the way, it wouldn't be a bad idea to switch from git to ubuntu version (http://archive.ubuntu.com/ubuntu/pool/universe/s/smc/smc_1.9+git20121121.orig.tar.gz) which I guess might contain exactly the same revision of code as there have been no commits for a very long time.

rafaelff commented on 2013-07-14 02:31

Thanks for the heads-up. Fixed.
Now 'cegui' supports OpenGL. However, SMC doesn't compile with CEGUI 0.8.x and, therefore, I uploaded "cegui-0.7" to AUR with OpenGL support enabled. Now it works.
CEGUI takes some time to compile, but it is the only way at this moment to have SMC compiled.

coffeeking commented on 2013-07-13 03:37

This package fails to build as of I think, a week ago. The build fails with the error message taht it cannot find cegui-opengl>=0.7.1. This has been happening ever since cegui 0.8 was moved out of testing. However, downgrading cegui didn't fix the problem. Thanks: Kendell clark

rafaelff commented on 2012-06-10 08:01

Adopted.